# TdApi.GetArchivedStickerSets (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetArchivedStickerSets

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetArchivedStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSets>
it.tdlight.jni.TdApi.GetArchivedStickerSets

Enclosing class:
  TdApi

public static final class TdApi.GetArchivedStickerSets extends TdApi.Function<TdApi.StickerSets>
Returns a list of archived sticker sets.

Returns `StickerSets`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isMasks`
Pass true to return mask stickers sets; pass false to return ordinary sticker sets.
`int`
`limit`
The maximum number of sticker sets to return; up to 100.
`long`
`offsetStickerSetId`
Identifier of the sticker set from which to return the result.

## Constructor Summary

Constructors
Constructor
Description
`GetArchivedStickerSets()`
Returns a list of archived sticker sets.
`GetArchivedStickerSets(boolean isMasks, long offsetStickerSetId, int limit)`
Returns a list of archived sticker sets.
`GetArchivedStickerSets(DataInput input)`
Returns a list of archived sticker sets.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isMasks

public boolean isMasks
Pass true to return mask stickers sets; pass false to return ordinary sticker sets.

### offsetStickerSetId

public long offsetStickerSetId
Identifier of the sticker set from which to return the result.

### limit

public int limit
The maximum number of sticker sets to return; up to 100.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetArchivedStickerSets

public GetArchivedStickerSets()
Returns a list of archived sticker sets.

Returns `StickerSets`

### GetArchivedStickerSets

public GetArchivedStickerSets(boolean isMasks, long offsetStickerSetId, int limit)
Returns a list of archived sticker sets.

Returns `StickerSets`

Parameters:
  `isMasks` - boolean Pass true to return mask stickers sets; pass false to return ordinary sticker sets.
  `offsetStickerSetId` - long Identifier of the sticker set from which to return the result.
  `limit` - int The maximum number of sticker sets to return; up to 100.

### GetArchivedStickerSets

public GetArchivedStickerSets(DataInput input) throws IOException
Returns a list of archived sticker sets.

Returns `StickerSets`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`